Package ru.bitel.bgbilling.kernel.contract.balance.server.event

# Class PaymentChangingEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.contract.balance.server.event.PaymentChangingEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    @Deprecated
    public class PaymentChangingEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
    implements ErrorReturnableEvent

Deprecated.
Событие генерируется в момент занесения платежа в договор через интерфейс. Возможна установка ошибки, что прерывает процесс.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PaymentChangingEvent​(int userId, Payment payment)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getError()` | Deprecated. Возвращает ошибку.
  `Payment` | `getPayment()` | Deprecated. Возвращает платеж, заносимый в договор.
  `void` | `setError​(java.lang.String error)` | Deprecated. Устанавливает ошибку.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PaymentChangingEvent

    public PaymentChangingEvent​(int userId, Payment payment)
    Deprecated.

- ## Method Details

  - ### getPayment

    public Payment getPayment()
    Deprecated.
    Возвращает платеж, заносимый в договор.
    Returns:

  - ### getError

    public java.lang.String getError()
    Deprecated.
    Возвращает ошибку.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:

  - ### setError

    public void setError​(java.lang.String error)
    Deprecated.
    Устанавливает ошибку.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Parameters:
      `error` -